/* Hero Banner */
.hero-image-banner {
  height: 48%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

.hero-text {
  width: 100%;
  padding: 0 20px;
  margin-top: 20px;
  color: white;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.hero-text > h1 {
  font-size: 50px;
  text-transform: uppercase;
}

/* Menu */

.site-header {
  z-index: 3;
  background-color: white;
  width: 100%;
  padding: 20px 0px 70px 0px;
  margin: 0px 0px 50px 0px;
}

.site-header.fixed {
  position:fixed;
  background-color: transparent;
  background: linear-gradient(to bottom, black 0%, rgba(255,255,255,0) 100%);
}

.site-header a {
  color: black;  
}

.white, .white * {
  color: white !important;
}

.site-header > .container {
  position: relative;
  display: flex;
}

.logo {
  position: absolute;
  width: 30%;
  min-width: 200px;
  max-width: 400px;
  left: 40px;
}

.logo img{
  z-index: 999;
}

#header-2 {
  position: absolute;
  right: 40px;
}

.header-nav {
  position: relative;
  right: 40px;
}

.header-nav:before, .header-nav:after {
  content: '';
  display: table;
}

.header-nav:after {
  clear: both;
}

.menu {
  display: inline-block;
  font-weight: 800;
  text-transform: uppercase;
  list-style-type: none;
  margin: 0px 20px 0px 0px;
  padding: 0;
}

.menu li {
  display: inline-block;
  opacity: 1;
  transition: transform 0.3s, opacity 0.2s 0.1s;
}

#header-2.show .menu li {
  transform: scale(0.8);
  opacity: 0;
}

.menu li:nth-child(1) {
  transition-delay: 0.4s;
}
.menu li:nth-child(2) {
  transition-delay: 0.5s;
}
.menu li:nth-child(3) {
  vertical-align: top;
  transition-delay: 0.6s;
}
.menu li:nth-child(4) {
  transition-delay: 0.7s;
}
.menu li:nth-child(5) {
  transition-delay: 0.8s;
}

.menu li a {
  display: block;
  padding: 10px;
  transition: color 0.3s;
  text-decoration: none;
  position: relative;
}

.menu > li > a {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  -webkit-transition-duration: 0.5s;
  transition-duration: 0.5s;
  font-weight: 800;
  z-index: 2;
}

.menu > li > a::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 3px;
  top: 80%;
  left: 0;
  background: #1c92ff;
  transition: transform 0.5s;
  transform: scaleX(0);
  transform-origin: right;
  z-index: 99;
}

.menu > li > a:hover::after, .menu > li > a:focus::after, .menu > li > a:active::after {
  transform: scaleX(1);
  transform-origin: left;
}

/* Search Icon */

.search-button {
  display: inline-block;
  z-index: 100;
  height: 25px;
  width: 35px;
}

.search-toggle {
  display: inline-block;
  height: 12px;
  width: 10px;
  color: white;
  font-size: 18px;
}

.search-toggle.active {
  display: none;
}

.search-toggle-x {
  display: none;
  height: 12px;
  width: 10px;
  color: white;
  font-size: 18px;
}

.search-toggle-x.active {
  display: inline-block;
}

/* Shopping Cart */

#shopping-cart {
  height: 25px;
  width: 35px;
  display: inline-block;
  position: absolute;
  top: 7px;
}

#shopping-cart-icon {
  filter: brightness(0%);
}
  
#shopping-cart-icon.white {
  filter: brightness(100%);
}

/* Dropdown Menu */

.dropdown-content {
  display: none;
  position: absolute;
  margin-top: 0px;
  min-width: 200px;
  padding-left: 10px;
  z-index: 1;
  overflow: hidden;
  cursor: pointer;
}

.dropdown-content a {
  float: none;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
  background-color: rgba(78, 78, 78, 0.6) !important;
  color: white !important;
  box-shadow: 0px 2px 5px rgba(0,0,0,0.5);
}

.dropdown-content a:hover {
  background-color:  rgba(193, 193, 193, 0.6) !important;
}

.dropdown-parent:hover .dropdown-content,
.dropdown-parent:hover .dropdown-content li {
  display:block;
}

/* Search Box */

.search-box {
  position: absolute;
  left: 0;
  top:0;
  height: 100%;
  width: 0;
  padding-left: 2em;
  transform: translateX(20%);
  opacity: 0;
  transition: all 0.4s 0.3s;
  z-index: 1;
}

#header-2.show .search-box {
  width: calc(100% - 5em);
  transform: translateX(0);
  opacity: 1;
}

.search-input {
  border: 0;
  width: 95%;
  height: 100%;
  background-color: transparent;
  color: black;
}

.search-input:focus {
  outline: none;
}

/* Search Dropdown */

#dropdown-content-box {
  display: none;
  position: absolute;
  background-color: rgba(0,0,0,0.5);
  overflow: auto;
  z-index: 50;
  margin: 0px 20px;
  min-width: calc(100% - 20px);
  right: -20px;
  top: 40px;
  box-shadow: 0px 5px 5px rgba(164, 164, 164, 0.5);
}

#dropdown-content-box.show {
  display: block;
}

#dropdown-content-box a {
  color: white;
  text-decoration: none;
  display: block;
  padding: 12px 16px;
}

#dropdown-content-box a:hover, .hover-search {
  background-color: #ddd;
}


/* Tablet */

@media only screen and (max-width: 1350px) {

.logo {
  width: 25%;
  left: 20px;
}

.header-nav {
  right: 20px;
}

.menu {
  font-weight: 300;
  font-size: 12px;
}

.dropdown-content {
  min-width: 150px;
}

#shopping-cart {
  top: 3px;
}

.hero-image-banner {
  height: 30%;
}

.hero-text > h1 {
  font-size: 32px;
}

}

@media only screen and (max-width: 1000px) {

  .logo {
    width: 18%;
    min-width: 150px;
  }

  .menu {
    font-size: 10px;
    margin-right: 10px;
  }

  .menu li a {
    padding: 5px 5px 10px 5px;
  }

  .dropdown-content {
    min-width: 120px;
  }

  #shopping-cart {
    top: 1px;
    width: 30px;
  }

  .search-toggle, .search-toggle-x {
    font-size: 16px;
  }

}

@media only screen and (max-width: 750px) {
  .menu li a {
    padding: 5px 3px 10px 3px;
  }

  .menu {
    font-size: 6px;
  }

}

/* Phone */

@media only screen and (max-width: 550px) {

  #header-2 {
    position: static;
    right: 0px;
  }

  .logo {
    width: 18%;
    min-width: 120px;
  }

  .header-nav {
    top: 20px;
    left: 5%;
  }

  .menu {
    font-size: 7px;
    margin-right: 0px;
  }

  .menu li a {
    padding: 5px 5px 10px 5px;
  }

  .search-button {
    display: none;
  }

  .search-box {
    width: 70%;
    height: 100%;
    position: absolute;
    top: -23px;
    left: 22%;
    transform: translateX(0);
    opacity: 1;
  }

  .search-input {
    height: 30%;
    background-color: white;
    font-size: 6px;
    padding: 8px 8px;
    border-radius: 3px;
    color: #555 !important;
  }

  #shopping-cart {
    top: -22px;
    right: -5%;
  }

  .dropdown-content {
    min-width: 90px;
    padding-left: 0px;
  }

  #dropdown-content-box {
    top: 23px;
    margin: 0px;
    min-width: 0px;
    right:0px;
  }

  #dropdown-content-box a {
    font-size: 7px;
    padding: 4px;
  }

}

@media only screen and (max-width: 450px) {

  .container {
    padding: 0 5px;
  }

  .header-nav {
    left: 5%;
  }

  .menu {
    font-size: 6px;
  }

  #shopping-cart {
    right: -8%;
  }

  .search-box {
    width: 60%;
    left: 30%;
  }

}

@media only screen and (max-width: 400px) {

.header-nav {
  left: 0%;
}

.search-box {
  width: 50%;
  left: 40%;
}

}

@media only screen and (max-width: 361px) {

.menu {
  font-size: 6px;
}

menu li a {
  padding: 3px 2px 10px 3px;
}

}
